Page MenuHomePhabricator

Vital Signs: Please make the data for enwiki and other big wikis less sad, and not just be missing for most days
Closed, ResolvedPublic

Description

See e.g. https://vital-signs.wmflabs.org/#projects=all,ruwiki,itwiki,dewiki,frwiki,enwiki,eswiki,jawiki/metrics=RollingSurvivingNewActiveEditor where the data is missing for enwiki on most days, and on most of the other wikis for at least some.

Related Objects

StatusAssignedTask
Resolvedmforns
ResolvedNone
OpenNone
ResolvedNone
OpenNone
ResolvedNone
DuplicateNone
Invalidmforns
ResolvedJAllemandou
Duplicatemforns
ResolvedOttomata
ResolvedOttomata
DeclinedJAllemandou
DuplicateNone
DuplicateNone
ResolvedNuria
Resolvedmforns
ResolvedJAllemandou
ResolvedJAllemandou
ResolvedJAllemandou
Resolvedmforns
DuplicateMilimetric
Resolvedmforns
Resolvedmforns
ResolvedNone
ResolvedNone
Resolvedashgrigas
Resolvedashgrigas
ResolvedMilimetric
ResolvedMilimetric
ResolvedMilimetric
ResolvedMilimetric
Resolvedmforns
ResolvedNone
ResolvedNone
Resolvedmforns
Resolvedmforns
ResolvedMilimetric
ResolvedMilimetric
ResolvedJAllemandou
ResolvedMilimetric
ResolvedJAllemandou
Openezachte
ResolvedJAllemandou
ResolvedJAllemandou
ResolvedJAllemandou
ResolvedJAllemandou
ResolvedOttomata
ResolvedJAllemandou
ResolvedJAllemandou
ResolvedJAllemandou
ResolvedJAllemandou
ResolvedJAllemandou
DeclinedNone
ResolvedNone
Resolvedfdans
ResolvedNone
DuplicateNone
DuplicateNone
ResolvedMilimetric
ResolvedMilimetric
ResolvedMilimetric
Resolvedfdans
Resolvedfdans
Resolvedfdans
Resolvedfdans
ResolvedMilimetric
ResolvedMilimetric
Resolvedmmodell
ResolvedMilimetric
ResolvedJAllemandou
ResolvedMilimetric
ResolvedMilimetric
DuplicateJAllemandou
DeclinedJAllemandou
Resolvedelukey
ResolvedOttomata
DuplicateJAllemandou
Resolvedfdans
ResolvedMilimetric
Resolvedmforns
Resolvedfdans
Resolvedmforns
Resolvedfdans
ResolvedNone
OpenNone
ResolvedJAllemandou
Resolvedfdans
Resolvedfdans
Resolvedfdans
Duplicatefdans
Resolvedfdans
Resolvedfdans
ResolvedNone
Resolvedfdans
Resolvedfdans
Resolvedfdans
DeclinedNone
Resolvedfdans
Resolvedfdans
Resolvedfdans
OpenNone
OpenNone
ResolvedNone
ResolvedMilimetric
ResolvedJAllemandou
ResolvedNone
Resolvedema
ResolvedJAllemandou
Resolved Tbayer
Resolvedfdans
Resolvedfdans
Resolvedfdans
DuplicateNone
Resolvedfdans
OpenNone
OpenNone
Resolvedfdans
ResolvedJAllemandou
OpenNone
Resolvedfdans
OpenJAllemandou
ResolvedNuria
Resolvedfdans
ResolvedJAllemandou
DuplicateJAllemandou
Resolvedfdans
DuplicateNone
ResolvedAmitjoki
DuplicateErik_Zachte
ResolvedNone
DuplicateNone
DuplicateNone
DuplicateNone
OpenNone

Event Timeline

Jdforrester-WMF raised the priority of this task from to Needs Triage.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 1 2015, 11:28 PM
Milimetric triaged this task as Normal priority.Dec 14 2015, 6:44 PM
Milimetric moved this task from Incoming to Backlog on the Analytics-Backlog board.
Milimetric set Security to None.
Milimetric closed this task as Declined.Aug 29 2016, 3:49 PM
Milimetric added a subscriber: Milimetric.

We're going stop vital signs metric creation on labs and replace it with our hadoop pipeline. Labs was just never performant enough to work with the default schema.

So… This is not Declined, just being done in another way? I'm confused.

Nuria added a subscriber: Nuria.EditedAug 29 2016, 7:14 PM

Please see: https://phabricator.wikimedia.org/T143924 and note that it fits within this project: https://phabricator.wikimedia.org/T130256

Jdforrester-WMF reopened this task as Stalled.Aug 29 2016, 7:20 PM
Nuria moved this task from Wikistats Production to Dashiki on the Analytics board.Jun 26 2017, 4:15 PM
Nuria moved this task from Dashiki to Backlog (Later) on the Analytics board.Jul 6 2017, 4:36 PM
fdans added a subscriber: fdans.

The new Wikistats has gapless data for big (and small) wikis from the beginning of time.

Nuria added a comment.Dec 13 2017, 6:03 PM

@Jdforrester-WMF Closing this ticket, consensus among research team is not to use rolling metrics but there are many other metrics available in wikistats 2.0, please take a look for all projects: https://stats.wikimedia.org/v2/#/all-projects

And, as an example of a specific project, spanish wikipedia active editor metrics: https://stats.wikimedia.org/v2/#/es.wikipedia.org/contributing/editors

We will be anouncing the site at some point tomorrow on e-mail first and on social and others later.

Please note that not all metrics can be computed for all projects but many can be so.

Nuria closed this task as Resolved.Dec 13 2017, 6:03 PM